<?php

namespace Dreamscape\Models;

use Illuminate\Support\Collection;
use Jenssegers\Model\Model;

/*
	"id" => 20756501
	"domain_name" => "graytech.net.au"
	"auth_key" => ""
	"status_id" => 2
	"period" => 24
	"start_date" => "2021-07-19T06:18:38+00:00"
	"expiry_date" => "2023-09-22T00:00:00+00:00"
	"customer_id" => 5249071
	"registrant_id" => 22203773
	"admin_contact_id" => 5249071
	"billing_contact_id" => 5249071
	"tech_contact_id" => 5249071
	"name_servers" => array:2 [
	0 => {#1109
	  +"host": "arch.ns.cloudflare.com"
	  +"ip": "173.245.59.68,2803:f800:50::6ca2:c144"
	}
	1 => {#1110
	  +"host": "brianna.ns.cloudflare.com"
	  +"ip": "173.245.58.245,2a06:98c1:50::ac40:20f5"
	}
	]
	"is_locked" => false
	"privacy" => false
	"eligibility_data" => array:7 [
	0 => {#1111
	  +"name": "business_type"
	  +"value": "Company"
	}
	1 => {#1112
	  +"name": "business_name"
	  +"value": null
	}
	2 => {#1113
	  +"name": "business_number_type"
	  +"value": "ACN"
	}
	3 => {#1114
	  +"name": "business_number"
	  +"value": "106 229 476"
	}
	4 => {#1115
	  +"name": "trading_name"
	  +"value": "Graytech Hosting Pty Ltd"
	}
	5 => {#1116
	  +"name": "trading_number_type"
	  +"value": "ACN"
	}
	6 => {#1117
	  +"name": "trading_number"
	  +"value": "106 229 476"
	}
 */

final class Domain extends Model
{
	public function getAccountAttribute(): string
	{
		return $this->customer_id ? sprintf('M%s',$this->customer_id) : '';
	}

	public function nameservers(): Collection
	{
		return collect($this->name_servers)->pluck('host');
	}
}